<?php
namespace App\Exceptions;

use Exception;

class FichierIntrouvableException extends Exception
{
    public function render($request): \Illuminate\Http\JsonResponse
    {
        return response()->json([
            'message' => 'Fichier introuvable ou accès expiré.',
            'error' => 'FILE_NOT_FOUND'
        ], 404);
    }
}
